Skip to main content
DELETE
/
tables
/
{tableNameWithType}
/
partitions
cURL
curl --request DELETE \
  --url https://dev.startree.ai/tables/{tableNameWithType}/partitions \
  --header 'Authorization: <api-key>'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://docs.startree.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The format of the key is "Basic <token>" or "Bearer <token>"

Path Parameters

tableNameWithType
string
required

Name of the table with type REALTIME

Query Parameters

serverIds
string

Comma separated server ids to be dropped

partitionIds
string

Comma separated partition ids to be dropped

dryRun
boolean
default:true
required

Run in dryRun mode initially to know the partitions that will be dropped on each server. No partitions will be dropped when dryRun=true

forceDelete
boolean
default:false
required

Run in forceDelete mode if all the partitions on the server to be deleted irrespective of number of primary keys. All partitions will be dropped when forceDelete=true

Response

200 - */*

successful operation

The response is of type string.